Name: subscription-manager-cockpit
Version: 6
Release: 1%{?dist}
Summary: Subscription Manager Cockpit UI
%if 0%{?suse_version}
Group: System Environment/Base
%endif
License: LGPLv2
URL: https://www.candlepinproject.org/

Source0: %{name}-%{version}.tar.xz
Source1: %{name}-node-%{version}.tar.xz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
%if 0%{?fedora}
BuildRequires: nodejs-devel
%endif
BuildRequires: nodejs
BuildRequires: make
BuildRequires: libappstream-glib
BuildRequires: gettext
BuildRequires: desktop-file-utils
%if 0%{?rhel} && 0%{?rhel} <= 8
BuildRequires: libappstream-glib-devel
%endif

Requires: subscription-manager
Requires: cockpit-bridge
Requires: cockpit-shell
Requires: rhsm-icons
%if %{defined rhel} && %{undefined centos}
Suggests: insights-client
%endif

%description
Subscription Manager Cockpit UI

%package -n rhsm-icons
Summary: Icons for Red Hat Subscription Management client tools

# As these two packages previously contained the icons now contained in
# rhsm-icons package, we need to specify the logical complement to a
# "Requires", which is "Conflicts". With any luck the underlying
# depsolver will cause the removal of this package if the request
# is to downgrade either of the following to a version below these
# requirements.
Conflicts: rhsm-gtk < 1.26.7
Conflicts: subscription-manager-cockpit < 1.26.7

%description -n rhsm-icons
This package contains the desktop icons for the graphical interfaces provided for management
of Red Hat subscriptions: subscription-manager-gui, subscription-manager-cockpit-plugin.

%prep
%autosetup -n %{name} -a 1
# ignore pre-built webpack in release tarball and rebuild it
rm -rf dist

%build
ESLINT=0 NODE_ENV=production make

%install
%make_install

# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*
desktop-file-validate %{buildroot}/%{_datadir}/applications/*

# this can't be meaningfully tested during package build

%files
%license LICENSE
%dir %{_datadir}/cockpit/subscription-manager
%{_datadir}/applications/*
%{_datadir}/cockpit/subscription-manager/*
%{_datadir}/metainfo/*

%files -n rhsm-icons
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_datadir}/icons/hicolor/symbolic/apps/*.svg

%changelog
* Mon Feb 20 2023 Pino Toscano <ptoscano@redhat.com> 6-1
- Translated using Weblate (Kannada) (jsefler@redhat.com)
- Translated using Weblate (Georgian) (temuri.doghonadze@gmail.com)
- 2169976: insights: fix spawn_error_to_string in more cases
  (ptoscano@redhat.com)

* Fri Jan 06 2023 Pino Toscano <ptoscano@redhat.com> 5-1
- Translated using Weblate (French) (vincent.lefebvre59@gmail.com)
- Translated using Weblate (Korean) (simmon@nplob.com)
- Translated using Weblate (Georgian) (temuri.doghonadze@gmail.com)
- 2077759: invoke cockpit.translate() after document loading
  (ptoscano@redhat.com)
- test: Drop outdated copy of packagelib.py (martin@piware.de)
- Added missing keys to react components (jhnidek@redhat.com)
- Fix the issue, when it is not possible to install insights-client
  (jhnidek@redhat.com)
- test: Sync packagelib.py with cockpit main (martin@piware.de)
- New target and added one project directory to .gitignore (jhnidek@redhat.com)

* Wed Jul 27 2022 Jiri Hnidek <jhnidek@redhat.com> 4-1

* Tue Jul 26 2022 Jiri Hnidek <jhnidek@redhat.com> 3-1
- Translated using Weblate (Korean) (simmon@nplob.com)
- test: drop unused reference-image file (ptoscano@redhat.com)
- Drop the static npm-shrinkwrap.json (ptoscano@redhat.com)
- Bump cockpit test API to 273 + run-tests scheduler fix (martin@piware.de)
- spec: suggest insights-client on RHEL (ptoscano@redhat.com)
- tito: remove autogenerated spec file before tagging (ptoscano@redhat.com)

* Fri Jun 24 2022 Jiri Hnidek <jhnidek@redhat.com> 2-1
- New package built with tito
- New pattern of versioning. Starting version is 2

